.386
.model flat, stdcall  ;32 bit memory model
option casemap :none  ;case sensitive

include DlgMain.inc

.code

start:

	invoke GetModuleHandle,NULL
	mov		hInstance,eax

    invoke InitCommonControls
       invoke LoadLibrary,offset szDLL
	       mov hLib,eax
	    invoke GetProcAddress,hLib,addr szAtlAxWinInit
	       call eax   
	      
	invoke DialogBoxParam,hInstance,IDD_DIALOG,NULL,addr DlgProc,NULL
	Invoke FreeLibrary,hLib
	invoke ExitProcess,0

;########################################################################

DlgProc proc hWnd:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM



	.if uMsg==WM_INITDIALOG

     invoke GetDlgItem,hWnd,1004
        mov hEdit,eax
     invoke GetCurrentDirectory,sizeof hCurDir,addr hCurDir
     invoke lstrcat,addr hCurDir,addr szBksl
     invoke lstrcpy,addr hPath,addr hCurDir
     invoke lstrcat,addr hPath,addr  szPlayer
     invoke lstrcpy,addr hPathFlv,addr hCurDir
     invoke lstrcat,addr hPathFlv,addr  szflvplayer
     
    .elseif uMsg == WM_CTLCOLORSTATIC 
                mov eax,lParam 
                
            .if eax == hEdit
                    invoke GetStockObject, BLACK_BRUSH 
                       ret
            .endif 
            
	.elseif uMsg==WM_COMMAND
        .if wParam ==IDC_BROWSE
                   mov ofn.lStructSize,SIZEOF ofn
                   push hWnd
                   pop ofn.hwndOwner
	               mov  ofn.lpstrFilter, OFFSET FilterString
	               mov  ofn.lpstrFile, OFFSET FileBuffer
	               mov  ofn.nMaxFile,512
	               mov  ofn.Flags,OFN_FILEMUSTEXIST or \
                                  OFN_PATHMUSTEXIST or OFN_LONGNAMES or\
                                  OFN_EXPLORER or OFN_HIDEREADONLY
	               invoke GetOpenFileName, ADDR ofn   
                  
             .if eax==TRUE

                   invoke SetDlgItemText,hWnd,IDC_PATH,ADDR FileBuffer
                   invoke WriteHtml,hWnd
              
                   invoke DestroyWindow,hPlayWin
                   invoke PlayerWin,hWnd
             .endif

        .endif
     
	.elseif uMsg==WM_CLOSE
	    invoke DeleteFile,addr hPath
	    invoke DeleteFile,addr  hPathFlv
		invoke EndDialog,hWnd,0
	.else
		mov		eax,FALSE
		ret
	.endif
	mov		eax,TRUE
	ret

DlgProc endp

PlayerWin PROC hWnd:DWORD

     invoke CreateWindowEx,0,addr szAtlAxWin,addr hPath,WS_CHILD or WS_VISIBLE,
                                0,0,435,299,hWnd,NULL,hInstance,NULL
	 mov hPlayWin,eax
	ret
PlayerWin endp

WriteHtml Proc hWnd:DWORD

	 invoke DeleteFile,addr  hPath
	 invoke CreateFile,addr  hPath,GENERIC_WRITE,0,0,CREATE_ALWAYS,0,0
       
        .if eax!=INVALID_HANDLE_VALUE
                mov hFile,eax
                invoke WriteFile,hFile,addr szHeader,233,addr lBytesWriten,0
                invoke WriteFile,hFile,addr szReturnLine,2,addr lBytesWriten,NULL
                
                invoke wsprintf,addr lpOut,addr szFlvFile,addr FileBuffer
                invoke lstrlen,addr lpOut
                invoke WriteFile,hFile,addr lpOut,eax,addr lBytesWriten,0
                invoke WriteFile,hFile,addr szReturnLine,2,addr lBytesWriten,NULL
                invoke WriteFile,hFile,addr szFooter,166,addr lBytesWriten,0
                invoke CloseHandle,hFile
                  call WritePlayer
        .endif
	ret

WriteHtml endp

WritePlayer Proc
LOCAL hPlayer :DWORD
 
	 invoke CreateFile,addr hPathFlv ,GENERIC_WRITE,0,0,CREATE_ALWAYS,0,0
       
        .if eax!=INVALID_HANDLE_VALUE
                mov hPlayer,eax
                invoke WriteFile,hPlayer,addr flvplayer,33477,addr lBytesWriten,0

                invoke CloseHandle,hPlayer
        .endif
	ret

WritePlayer endp
end start
